Date (Apache Ant API)
Date: 2013-12-23

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.resources.selectors
Class Date

    java.lang.Object
      org.apache.tools.ant.types.resources.selectors.Date

All Implemented Interfaces:
  ResourceSelector

    public class Date

extends java.lang.Object
implements ResourceSelector

Date ResourceSelector. Based on the date FileSelector, with the most notable difference being the lack of support for the includedirs attribute. It is recommended that the effect of includeDirs = "false" be achieved for resources by enclosing a "dir" Type ResourceSelector and a Date ResourceSelector in an Or ResourceSelector.

Since:
  Ant 1.7

Constructor Summary
`Date()`

Method Summary
`java.lang.String` | `getDatetime()` Get the date & time in String format.
`long` | `getGranularity()` Get the timestamp granularity used by this ResourceSelector.
`long` | `getMillis()` Get the date/time in ms.
`java.lang.String` | `getPattern()` Get the pattern for use with the datetime attribute.
`TimeComparison` | `getWhen()` Get the comparison mode.
`boolean` | `isSelected(Resource r)` Return true if this Resource is selected.
`void` | `setDateTime(java.lang.String s)` Set the date and time as a String.
`void` | `setGranularity(long g)` Set the granularity to use for this ResourceSelector.
`void` | `setMillis(long m)` Set the date/time in milliseconds since 1970.
`void` | `setPattern(java.lang.String p)` Set the optional pattern to use with the datetime attribute.
`void` | `setWhen(TimeComparison c)` Set the comparison mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Date

    public Date()

Method Detail

### setMillis

    public void setMillis(long m)

  Set the date/time in milliseconds since 1970.

  Parameters:
    `m` - the number of millis.

### getMillis

    public long getMillis()

  Get the date/time in ms.

  Returns:
    long number of millis since 1970.

### setDateTime

    public void setDateTime(java.lang.String s)

  Set the date and time as a String.

  Parameters:
    `s` - the date & time to use.

### getDatetime

    public java.lang.String getDatetime()

  Get the date & time in String format.

  Returns:
    a String representing a date & time.

### setGranularity

    public void setGranularity(long g)

  Set the granularity to use for this ResourceSelector.

  Parameters:
    `g` - the timestamp granularity.

### getGranularity

    public long getGranularity()

  Get the timestamp granularity used by this ResourceSelector.

  Returns:
    the long granularity.

### setPattern

    public void setPattern(java.lang.String p)

  Set the optional pattern to use with the datetime attribute.

  Parameters:
    `p` - the SimpleDateFormat-compatible pattern string.

### getPattern

    public java.lang.String getPattern()

  Get the pattern for use with the datetime attribute.

  Returns:
    a SimpleDateFormat-compatible pattern string.

### setWhen

    public void setWhen(TimeComparison c)

  Set the comparison mode.

  Parameters:
    `c` - a TimeComparison object.

### getWhen

    public TimeComparison getWhen()

  Get the comparison mode.

  Returns:
    a TimeComparison object.

### isSelected

    public boolean isSelected(Resource r)

  Return true if this Resource is selected.

  Specified by:
    `isSelected` in interface `ResourceSelector`
  Parameters:
    `r` - the Resource to check.
  Returns:
    whether the Resource was selected.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD